class MobilappUseragent

	module Agent

		class Device

			attr_reader :name

			def initialize(os, comments)

				@name = send("get_#{os.downcase}_device", comments)

			end

			private

			def get_ios_device(comments)

				comments.split(';').first.strip

			end

			def get_android_device(comments)

				comments.split(';').last.strip

			end

		end

	end

end
